NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Die::AddSurfBuilder Class Reference

Represents a NXOpen::Die::AddSurfBuilder builder
To create a new instance of this class, use NXOpen::Die::DieCollection::CreateAddSurfBuilder

Created in NX6.0.0. More...

Inheritance diagram for NXOpen::Die::AddSurfBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  Methods {
  MethodsSectional, MethodsCurveMesh, MethodsChannelTunnelCap, MethodsMultiFaceBlend,
  MethodsWallsOnly, MethodsDiskFaceBlend, MethodsSphereFaceBlend
}
 Settings for the type of addendum surface being created. More...
 

Public Member Functions

bool Associative ()
 Returns the flag that indicates during creation if a feature is to be created or just the sheet body, true indicates a feature will be created. More...
 
NXOpen::ExpressionConcaveCornerRadius ()
 Returns the concave corner radius value
Created in NX6.0.0. More...
 
void CreateDefaultSpine ()
 Creates a smoothed spine curve from the forming boundary using the spine radius value
Created in NX7.5.0. More...
 
double DistanceTolerance ()
 Returns the distance tolerance. More...
 
NXOpen::Die::DieLimitsBuilderLimits ()
 Returns the limits to control the span of the addendum
Created in NX7.5.0. More...
 
NXOpen::Die::AddSurfBuilder::Methods Method ()
 Returns the addendum surface output method. More...
 
NXOpen::PointRefPoint ()
 Returns the keep point for trimming. More...
 
NXOpen::SelectNXObjectListSelectSection ()
 Returns the addendum section feature to define the shape of the addendum surface. More...
 
void SetAssociative (bool associative)
 Sets the flag that indicates during creation if a feature is to be created or just the sheet body, true indicates a feature will be created. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance. More...
 
void SetMethod (NXOpen::Die::AddSurfBuilder::Methods type)
 Sets the addendum surface output method. More...
 
void SetRefPoint (NXOpen::Point *point0)
 Sets the keep point for trimming. More...
 
void SetSewn (bool sewn)
 Sets the flag that indicates whether the faces of the addendum sheet body will be sewn into one sheet body or individual sheet bodies for each face will be output. More...
 
void SetSpineRadius (double spineRadius)
 Sets the spine radius, used by NXOpen::Die::AddSurfBuilder::CreateDefaultSpine
Created in NX7.5.0. More...
 
bool Sewn ()
 Returns the flag that indicates whether the faces of the addendum sheet body will be sewn into one sheet body or individual sheet bodies for each face will be output. More...
 
NXOpen::ScCollectorSpine ()
 Returns the spine string, which determines the orientation of the sample planes
Created in NX7.5.0. More...
 
double SpineRadius ()
 Returns the spine radius, used by NXOpen::Die::AddSurfBuilder::CreateDefaultSpine
Created in NX7.5.0. More...
 
NXOpen::ScCollectorTrimBound ()
 Returns the trimming boundary for the addendum surface. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Die::AddSurfBuilder builder
To create a new instance of this class, use NXOpen::Die::DieCollection::CreateAddSurfBuilder

Created in NX6.0.0.


Member Enumeration Documentation

Settings for the type of addendum surface being created.

Enumerator
MethodsSectional 

Sweep section around tangency curve.

MethodsCurveMesh 

Modeling curve mesh.

MethodsChannelTunnelCap 

To close an end cap.

MethodsMultiFaceBlend 

Face blend between sets of walls.

MethodsWallsOnly 

Produces just the walls, no blend.

MethodsDiskFaceBlend 

Disk type face blend.

MethodsSphereFaceBlend 

Spherical type face blend.

Member Function Documentation

bool NXOpen::Die::AddSurfBuilder::Associative ( )

Returns the flag that indicates during creation if a feature is to be created or just the sheet body, true indicates a feature will be created.


Created in NX6.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::AddSurfBuilder::ConcaveCornerRadius ( )

Returns the concave corner radius value
Created in NX6.0.0.



License requirements : None

void NXOpen::Die::AddSurfBuilder::CreateDefaultSpine ( )

Creates a smoothed spine curve from the forming boundary using the spine radius value
Created in NX7.5.0.



License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

double NXOpen::Die::AddSurfBuilder::DistanceTolerance ( )

Returns the distance tolerance.


Created in NX6.0.0.

License requirements : None

NXOpen::Die::DieLimitsBuilder* NXOpen::Die::AddSurfBuilder::Limits ( )

Returns the limits to control the span of the addendum
Created in NX7.5.0.



License requirements : None

NXOpen::Die::AddSurfBuilder::Methods NXOpen::Die::AddSurfBuilder::Method ( )

Returns the addendum surface output method.


Created in NX6.0.0.

License requirements : None

NXOpen::Point* NXOpen::Die::AddSurfBuilder::RefPoint ( )

Returns the keep point for trimming.


Created in NX6.0.0.

License requirements : None

NXOpen::SelectNXObjectList* NXOpen::Die::AddSurfBuilder::SelectSection ( )

Returns the addendum section feature to define the shape of the addendum surface.


Created in NX6.0.0.

License requirements : None

void NXOpen::Die::AddSurfBuilder::SetAssociative ( bool  associative)

Sets the flag that indicates during creation if a feature is to be created or just the sheet body, true indicates a feature will be created.


Created in NX6.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
associativeassociative
void NXOpen::Die::AddSurfBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance.


Created in NX6.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
distanceTolerancedistancetolerance
void NXOpen::Die::AddSurfBuilder::SetMethod ( NXOpen::Die::AddSurfBuilder::Methods  type)

Sets the addendum surface output method.


Created in NX6.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
typetype
void NXOpen::Die::AddSurfBuilder::SetRefPoint ( NXOpen::Point point0)

Sets the keep point for trimming.


Created in NX6.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
point0point0
void NXOpen::Die::AddSurfBuilder::SetSewn ( bool  sewn)

Sets the flag that indicates whether the faces of the addendum sheet body will be sewn into one sheet body or individual sheet bodies for each face will be output.

True indicates one sewn sheet body will be output.
Created in NX6.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sewnsewn
void NXOpen::Die::AddSurfBuilder::SetSpineRadius ( double  spineRadius)

Sets the spine radius, used by NXOpen::Die::AddSurfBuilder::CreateDefaultSpine
Created in NX7.5.0.



License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
spineRadiusspineradius
bool NXOpen::Die::AddSurfBuilder::Sewn ( )

Returns the flag that indicates whether the faces of the addendum sheet body will be sewn into one sheet body or individual sheet bodies for each face will be output.

True indicates one sewn sheet body will be output.
Created in NX6.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Die::AddSurfBuilder::Spine ( )

Returns the spine string, which determines the orientation of the sample planes
Created in NX7.5.0.



License requirements : None

double NXOpen::Die::AddSurfBuilder::SpineRadius ( )

Returns the spine radius, used by NXOpen::Die::AddSurfBuilder::CreateDefaultSpine
Created in NX7.5.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Die::AddSurfBuilder::TrimBound ( )

Returns the trimming boundary for the addendum surface.


Created in NX6.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.